/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workengineeringprice.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工程咨询项目三级校审项目信息Entity
 * @author 杨帆
 * @version 2018-01-10
 */
public class WorkEngineeringPrice extends DataEntity<WorkEngineeringPrice> {
	
	private static final long serialVersionUID = 1L;
	private String sendPrice;		// 送审价
	private String approvedPrice;		// 审定价
	private String contractPrice;		// 合同价
	private String addEditAmount;		// 核增核减额
	private String addEditRate;		// 核增核减率
	private String consultAmount ;		// 咨询标的额
	private String civilEngineeringCost;		// 其中土建造价
	private String installationCost;		// 其中安装造价
	private String engineeringId;		// 工程咨询项目id
	
	public WorkEngineeringPrice() {
		super();
	}

	public WorkEngineeringPrice(String id){
		super(id);
	}

	@ExcelField(title="送审价", align=2, sort=7)
	public String getSendPrice() {
		return sendPrice;
	}

	public void setSendPrice(String sendPrice) {
		this.sendPrice = sendPrice;
	}
	
	@ExcelField(title="审定价", align=2, sort=8)
	public String getApprovedPrice() {
		return approvedPrice;
	}

	public void setApprovedPrice(String approvedPrice) {
		this.approvedPrice = approvedPrice;
	}
	
	@ExcelField(title="合同价", align=2, sort=9)
	public String getContractPrice() {
		return contractPrice;
	}

	public void setContractPrice(String contractPrice) {
		this.contractPrice = contractPrice;
	}
	
	@ExcelField(title="核增核减额", align=2, sort=10)
	public String getAddEditAmount() {
		return addEditAmount;
	}

	public void setAddEditAmount(String addEditAmount) {
		this.addEditAmount = addEditAmount;
	}
	
	@ExcelField(title="核增核减率", align=2, sort=11)
	public String getAddEditRate() {
		return addEditRate;
	}

	public void setAddEditRate(String addEditRate) {
		this.addEditRate = addEditRate;
	}
	
	@ExcelField(title="咨询标的额", align=2, sort=12)
	public String getConsultAmount () {
		return consultAmount ;
	}

	public void setConsultAmount (String consultAmount ) {
		this.consultAmount  = consultAmount ;
	}
	
	@ExcelField(title="其中土建造价", align=2, sort=13)
	public String getCivilEngineeringCost() {
		return civilEngineeringCost;
	}

	public void setCivilEngineeringCost(String civilEngineeringCost) {
		this.civilEngineeringCost = civilEngineeringCost;
	}
	
	@ExcelField(title="其中安装造价", align=2, sort=14)
	public String getInstallationCost() {
		return installationCost;
	}

	public void setInstallationCost(String installationCost) {
		this.installationCost = installationCost;
	}
	
	@ExcelField(title="工程咨询项目id", align=2, sort=15)
	public String getEngineeringId() {
		return engineeringId;
	}

	public void setEngineeringId(String engineeringId) {
		this.engineeringId = engineeringId;
	}
	
}